용어 목록 조회

용어 목록을 조회합니다.

필요 권한

관리자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/glossary/terms
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/glossary/terms?category=table"
요청 매개변수
필수타입설명비고
offsetX32비트 정수건너뛸 갯수기본값: 0
limitX32비트 정수최대 갯수기본값: 20
keywordsX문자열검색 키워드term, code, description에서 검색할 문자열
categoryX문자열분류용어 사용 대상. table, field 중 하나
localeX문자열언어ko(한국어), en(영어), zh(중국어) 중 하나

정상 응답

{
  "total_count": 1,
  "terms": [
    {
      "guid": "a07e6bd4-5ca2-11f0-ad90-acde48001122",
      "locale": "ko",
      "term": "시각",
      "type": "DATE",
      "code": "_time",
      "category": "field",
      "description": "로그 생성 시각",
      "created": "2025-07-01 00:31:13+0900",
      "updated": "2025-07-01 00:31:13+0900"
    }
  ]
}
  • total_count (32비트 정수): 검색 조건과 일치하는 전체 건수
  • terms (배열): 용어 목록
    • guid (문자열): 용어 GUID (36자 GUID)
    • locale (문자열): 언어 (ko(한국어), en(영어), zh(중국어) 중 하나)
    • term (문자열): 용어
    • type (문자열): 데이터 유형 (DATE, STRING, IP, PORT, SHORT, INT, LONG, COUNTRY, FLOAT, DOUBLE, BOOL, MD5, SHA1, URL, SHA256, DOMAIN 중 하나)
    • code (문자열): 용어 식별 코드
    • category (문자열): 용어 사용 대상 분류 (table, field 중 하나)
    • description (문자열): 용어 설명
    • created (문자열): 생성일시 (yyyy-MM-dd HH:mm:ssZ 형식)
    • updated (문자열): 수정일시 (yyyy-MM-dd HH:mm:ssZ 형식)

오류 응답

offset, limit 값이 정수가 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset, limit 값이 음수인 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
offset, limit 값이 최댓값을 초과한 경우
{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be less than or equal to 2147483647."
}
category가 유효하지 않은 경우
{
  "error_code": "invalid-argument",
  "error_msg": "invalid category: ABC"
}
용어 목록 조회 권한이 없는 경우
{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}